Author Topic: illegal ipv4?  (Read 466 times)

Offline fveens

  • Posts: 5
illegal ipv4?
« on: December 18, 2020, 10:11:03 AM »
After  a clean installation of WebsiteBaker 2.13.0 I get the following exception occurred:

There was an uncatched exception
illegal IPv4 address given!
in line (55) of (/framework/Utils/IpAddress.php):

The installation was a one-click installation from my hosting provider.
Could anyone help me where to look for what the problem might be?

Offline dbs

  • Betatester
  • **
  • Posts: 8639
  • Gender: Male
  • tioz4ever
    • WebsiteBaker - jQuery-Plugins - Module - Droplets - Tests
Re: illegal ipv4?
« Reply #1 on: December 18, 2020, 10:17:37 AM »
Hi, wtf provide your hoster a RC version?
We work on this 2.13 and currently we are on RC1 revision 18.

This error is knowing and was fixed.
Seems you have only a IPv6 address.

Offline fveens

  • Posts: 5
Re: illegal ipv4?
« Reply #2 on: December 18, 2020, 11:31:01 AM »
Thanks a lot for your fast reaction.

I've dowloaded the newest version and uploaded it to the website.
There also might have been a problem with the php-version, which I now have upgraded to 7.4

Greetings, Frans

Offline dbs

  • Betatester
  • **
  • Posts: 8639
  • Gender: Male
  • tioz4ever
    • WebsiteBaker - jQuery-Plugins - Module - Droplets - Tests
Re: illegal ipv4?
« Reply #3 on: December 18, 2020, 12:15:33 PM »
The IPv4 message was a new problem in WB.
Fixed since RC1 r9. Seems your hoster has a older version.

PHP 7.3 or 7.4 is recommanded.
Not all modules can work with PHP 7.4. So maybe PHP 7.3 is a solution.